Classes | Enumerations

# ffile.h File Reference

## Classes
class | wxFFile
| wxFFile implements buffered file I/O. More...
## Enumerations
enum | wxSeekMode { wxFromStart, wxFromCurrent, wxFromEnd }
| Values used for both wxFile and wxFFile. More...
enum | wxFileKind { wxFILE_KIND_UNKNOWN, wxFILE_KIND_DISK, wxFILE_KIND_TERMINAL, wxFILE_KIND_PIPE, wxFILE_KIND_UNKNOWN, wxFILE_KIND_DISK, wxFILE_KIND_TERMINAL, wxFILE_KIND_PIPE }
| See wxFFile::GetKind(). More...

## Enumeration Type Documentation

enum wxFileKind

See wxFFile::GetKind().

Enumerator:

  wxFILE_KIND_UNKNOWN |
  wxFILE_KIND_DISK | A file supporting seeking to arbitrary offsets.
  wxFILE_KIND_TERMINAL | A terminal.
  wxFILE_KIND_PIPE | A pipe.
  wxFILE_KIND_UNKNOWN | Unknown file kind, or unable to determine.
  wxFILE_KIND_DISK | A file supporting seeking to arbitrary offsets.
  wxFILE_KIND_TERMINAL | A tty.
  wxFILE_KIND_PIPE | A pipe.

enum wxSeekMode

Values used for both wxFile and wxFFile.

Todo:
  make the value names uppercase

Enumerator:

  wxFromStart |
  wxFromCurrent |
  wxFromEnd |

|  | [ top ]